com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface TerminateShape

- All Superinterfaces:
    Annotatable, Annotation, CorticonObject, org.eclipse.emf.ecore.EObject, FlowShape, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface TerminateShape
      extends FlowShape

  A representation of the model object 'Terminate Shape'.

  The following features are supported:

  - `Terminate Node`
  See Also:
    `FlowdiagramPackage.getTerminateShape()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TerminateNode` | `getTerminateNode()` Returns the value of the 'Terminate Node' reference
    `void` | `setTerminateNode(TerminateNode value)` Sets the value of the '`Terminate Node`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.FlowShape

      `getHeight, getInboundEdges, getOutboundEdges, getWidth, getX, getY, setHeight, setWidth, setX, setY`

    - ### Methods inherited from interface com.corticon.rulesemf.common.CorticonObject

      `getGuid, setGuid`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTerminateNode

          TerminateNode getTerminateNode()

      Returns the value of the 'Terminate Node' reference.

      If the meaning of the 'Terminate Node' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Terminate Node' reference.
      See Also:
        `setTerminateNode(TerminateNode)`, `FlowdiagramPackage.getTerminateShape_TerminateNode()`

    - #### setTerminateNode

          void setTerminateNode(TerminateNode value)

      Sets the value of the '`Terminate Node`' reference.
      Parameters:
        `value` - the new value of the 'Terminate Node' reference.
      See Also:
        `getTerminateNode()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.